services:
  prowlarr:
    image: lscr.io/linuxserver/prowlarr:latest
    container_name: prowlarr
    ports:
      - "9696:9696"
    volumes:
      - /data/docker/prowlarr:/config
    restart: unless-stopped
    mem_limit: 256m

  sonarr:
    image: lscr.io/linuxserver/sonarr:latest
    container_name: sonarr
    ports:
      - "8989:8989"
    volumes:
      - /data/docker/sonarr:/config
      - /data/media/tv:/tv
      - /data/torbox:/torrents
    restart: unless-stopped
    mem_limit: 384m

  radarr:
    image: lscr.io/linuxserver/radarr:latest
    container_name: radarr
    ports:
      - "7878:7878"
    volumes:
      - /data/docker/radarr:/config
      - /data/media/movies:/movies
      - /data/torbox:/torrents
    restart: unless-stopped
    mem_limit: 384m

  jellyfin:
    image: lscr.io/linuxserver/jellyfin:latest
    container_name: jellyfin
    ports:
      - "8096:8096"
    volumes:
      - /data/docker/jellyfin:/config
      - /data/media:/media:ro
    restart: unless-stopped
    mem_limit: 512m
    environment:
      - PUID=0
      - PGID=0

  jellyseerr:
    image: fallenbagel/jellyseerr:latest
    container_name: jellyseerr
    ports:
      - "5055:5055"
    volumes:
      - /data/docker/jellyseerr:/app/config
    environment:
      - LOG_LEVEL=debug
    restart: unless-stopped
    mem_limit: 256m
